PeopleForce
Employees

List tasks

GET
/api/public/v3/employees/{id}/tasks

Path Parameters

id*integer
Formatint64

Query Parameters

completed?boolean
page?integer

Which page of results to return. Defaults to 1.

Formatint32
Range1 <= value

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/public/v3/employees/0/tasks"
{  "data": [    {      "id": 0,      "type": "string",      "title": "string",      "starts_on": "2019-08-24",      "ends_on": "2019-08-24",      "completed_at": "2019-08-24T14:15:22Z",      "completed": true,      "description": "string",      "description_plain": "string",      "assigned_to": {        "id": 0,        "full_name": "string",        "email": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "created_by": {        "id": 0,        "full_name": "string",        "email": "string"      }    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}